# XMLReader::getAttributeNo

(PHP 5 >= 5.1.0, PHP 7)

XMLReader::getAttributeNo — Get the value of an attribute by index

### Description

public XMLReader::getAttributeNo ( int `$index` ) : string

Returns the value of an attribute based on its position or an empty string if attribute does not exist or not positioned on an element node.

### Parameters

`index`

  The position of the attribute.

### Return Values

The value of the attribute, or an empty string (before PHP 5.6) or `NULL` (from PHP 5.6 onwards) if no attribute exists at `index` or is not positioned on the element.

### Changelog

Version | Description
--- | ---
5.6.0 | XMLReader::getAttributeNo() now returns `NULL` if the attribute doesn't exist.

### See Also

- XMLReader::getAttribute() - Get the value of a named attribute
- XMLReader::getAttributeNs() - Get the value of an attribute by localname and URI